> ## Documentation Index
> Fetch the complete documentation index at: https://chainpatrol.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dispute

> Create a new dispute for an asset via the external API. Requires API key.

## Quick Start

### Authentication

Include your API key in the `X-API-KEY` header:

```bash theme={null}
X-API-KEY: <api-key>
```

## Overview

The Dispute Create endpoint allows you to create a new dispute for an asset that has been reported or blocked. This is useful when you believe an asset has been incorrectly flagged or if you want to contest a blocking decision.

## Request

```typescript TypeScript theme={null}
const response = await fetch(
  "https://app.chainpatrol.io/api/v2/dispute/create",
  {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
      "X-API-KEY": "YOUR_API_KEY_HERE",
    },
    body: JSON.stringify({
      content: "https://example-phishing-site.com",
      email: "contact@yourdomain.com", // Optional if the API key is associated with a user that has an email
      description:
        "This is not a phishing site, it's our legitimate marketing site.", // Optional
    }),
  }
);

const data = await response.json();
console.log(data);
```

```javascript JavaScript theme={null}
const response = await fetch(
  "https://app.chainpatrol.io/api/v2/dispute/create",
  {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
      "X-API-KEY": "YOUR_API_KEY_HERE",
    },
    body: JSON.stringify({
      content: "https://example-phishing-site.com",
      email: "contact@yourdomain.com", // Optional if the API key is associated with a user that has an email
      description:
        "This is not a phishing site, it's our legitimate marketing site.", // Optional
    }),
  }
);

const data = await response.json();
console.log(data);
```

```python Python theme={null}
import requests

response = requests.post(
    "https://app.chainpatrol.io/api/v2/dispute/create",
    headers={
        "Content-Type": "application/json",
        "X-API-KEY": "YOUR_API_KEY_HERE",
    },
    json={
        "content": "https://example-phishing-site.com",
        "email": "contact@yourdomain.com", # Optional if the API key is associated with a user that has an email
        "description": "This is not a phishing site, it's our legitimate marketing site." # Optional
    },
)

data = response.json()
print(data)
```

## Request Parameters

| Parameter | Type | Required | Description |
| - | - | - | - |
| `content` | string | Yes | The URL or content identifier that you want to dispute |
| `email` | string | No\* | Contact email for the dispute. *Required if the API key is not associated with a user that has an email* |
| `description` | string | No | Additional details or explanation for the dispute |

## Response

```json theme={null}
{
  "id": "12345",
  "content": "https://example-phishing-site.com"
}
```

## Response Parameters

| Parameter | Type | Description |
| - | - | - |
| `id` | string | The unique identifier for the created dispute |
| `content` | string | The content (URL) that was disputed |
| `message` | string | Optional message providing additional information |

## Errors

| Status Code | Error Code | Description |
| - | - | - |
| 400 | BAD\_REQUEST | Invalid input parameters or a dispute already exists for this asset with the provided email |
| 401 | UNAUTHORIZED | Missing or invalid API key |
| 404 | NOT\_FOUND | The specified asset does not exist |

## Notes

* A dispute can only be created once per email address for a specific asset
* If the asset is only blocked in EthPhishingDetect but not in ChainPatrol, a note will automatically be added to the dispute
* All disputes created via the API will have a system note indicating they were created via the API


## OpenAPI

````yaml POST /dispute/create
openapi: 3.0.3
info:
  title: ChainPatrol External API - OpenAPI 3.0
  description: ChainPatrol External API documentation
  version: 2.0.0
servers:
  - url: https://app.chainpatrol.io/api/v2
security: []
tags:
  - name: asset
  - name: report
  - name: dark-web
externalDocs:
  url: https://chainpatrol.com/docs
paths:
  /dispute/create:
    post:
      tags:
        - dispute
      summary: Create a dispute
      description: >-
        Create a new dispute for an asset via the external API. Requires API
        key.
      operationId: disputeCreate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                content:
                  type: string
                  minLength: 1
                email:
                  type: string
                  format: email
                description:
                  type: string
              required:
                - content
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  content:
                    type: string
                  message:
                    type: string
                required:
                  - id
                  - content
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - ApiKey: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key. This is required by most endpoints to access our API
        programatically. Reach out to us at
        [support@chainpatrol.io](mailto:support@chainpatrol.io?subject=Re:%20API%20Key%20for%20SDK&body=Company:%20%0AName:%20%0APurpose:%20)
        to get an API key for your use.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.